﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Работа с узлами DOM - методы</title>
    <script>
        // Методы для работы с DOM
        //old
        // appendChild - добавить дочерний элемент
        // insertBefore - добавить элемент перед указанным
        // removeChild - удаление элемента
        // replaceChild - замена одного элемента на другой
        //*****

        /*
        node.append(...nodes or strings) – добавляет узлы или строки в конец node,
        node.prepend(...nodes or strings) – вставляет узлы или строки в начало node,
        node.before(...nodes or strings) –- вставляет узлы или строки до node,
        node.after(...nodes or strings) –- вставляет узлы или строки после node,
        node.replaceWith(...nodes or strings) –- заменяет node заданными узлами или строками.
        https://learn.javascript.ru/modifying-document
        */

        window.onload = ()=>{
            const div1 = document.getElementById("div1"),

            p1 = document.createElement("p");
            p1.textContent = "Paragraph 1";
            div1.append(p1);

            const p2 = document.createElement("header");
            p2.textContent = "Paragraph 2";
        
            document.body.prepend(p2);
        }

    </script>
</head>
<body>
    <div id="div1" style="border:solid 1px red; padding:10px; margin:10px;">
    </div>
</body>
</html>
